distributeFile <-
function(startNum, endNum) {

file <- '
library(key8) 
library(parallel)
bs <- c(0, 0.5, 1, 1.5)
ns <- c(50, 100, 200, 400)
distypes <- c(1, 2, 3)
rep <- subRep
conds <- expand.grid(bs, ns, distypes, rep)
conds <- data.frame(t(conds))
result <- mclapply(conds, runrep, seednum = lecuyerseed, mc.cores = 11)
result <- do.call(rbind, result)
save(result, file=paste("result", subRep, ".rda", sep=""))
'

for(i in startNum:endNum) {
file2 <- gsub("subRep", i, file)
write(file2, file=paste("sim", i, ".R", sep=""))
}
}
